import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
import type { Theme } from "./themes";
export interface CodeBlockCustomProps {
    source?: object | string;
    language?: string | undefined;
    showCopyButton?: boolean;
    showLineNumbers?: boolean;
    theme?: Theme;
}
export type CodeBlockElementType = HTMLPreElement;
export type CodeBlockProps = Omit<CommonAndHTMLProps<CodeBlockElementType>, keyof CodeBlockCustomProps> & CodeBlockCustomProps;
export declare const CodeBlock: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLPreElement>, keyof CodeBlockCustomProps> & CodeBlockCustomProps & React.RefAttributes<HTMLPreElement>>;
